%define name mkahawa-srv
%define version 0.0.3
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mkahawa Server is an open-source project that builds on Cafe Con Leche 
License:	GPL
Group:		Networking/Other
URL:		http://mkahawa.net/
Source:	        %{name}-%{version}.tar.xz
Source1:	cert.sh
Source2:	openssl.cnf
Patch:		des.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libfox1.6_0
Requires:	libcclc >= 0.8.0
Requires:	libccls >= 0.8.1
BuildRequires:  libfox1.6-devel
BuildRequires:  libcclc-devel >= 0.8.0
BuildRequires:  libccls-devel >= 0.8.0

%description
Mkahawa Server is an open-source project that builds on Cafe Con
Leche or CCL  - the nifty, cross-platform Internet Cafe
billing and Management Software started by Bruno Deferrari.


%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make

%install
%make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p  $RPM_BUILD_ROOT/usr/tmp/certmka
%__install -m 755 %{SOURCE1} %{SOURCE2} -D $RPM_BUILD_ROOT/usr/tmp/certmka
%__install -dm 755 %{buildroot}%{_datadir}/applications
cp misc/mkahawa.desktop %{buildroot}%{_datadir}/applications/

%post
cd /usr/tmp/certmka/
sh cert.sh
rm -rf /usr/tmp/certmka

%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/mkahawa
%{_datadir}/applications/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
/usr/tmp/certmka/*

%changelog
* Tue Jul 13 2010 maik3531 <maik3531 at yahoo.de> 0.0.3-1pclos2010
- initial build for PCLinuxOS
